/* Global */
@font-face {
  font-family: "Montserrat";
  src: url("/fonts/Montserrat/Montserrat-VariableFont_wght.ttf") format("truetype");
  weight: 100 900;
  style: normal;
}

* {
    font-family: "montserrat";
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --midnight-blue: rgba(17, 35, 45, 1);
    --deepsea-blue: rgba(11, 53, 75, 1);
    --white: rgba(250, 253, 253, 1);
    --chalk-white: rgba(228, 231, 231, 1);
    --gold: rgba(221, 204, 114, 1);
    --accent-yellow: rgba(244, 205, 38, 1);
    --black: rgba(10, 10, 10, 1);
    --graphite: rgba(52, 53, 53, 1);
    --shadow: 0 .2em 2em rgba(5, 5, 5, .5);
}

html {
    font-size: 16px;
}

body {
    background: linear-gradient(var(--midnight-blue), var(--deepsea-blue));
    font-size: 1em;
    width: 100vw;
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

th {
    font-weight: 500;
    font-size: 1em;
    padding: 2em 0 .5em;
}

td {
    text-align: center;
}

h3 {
    color: var(--graphite);
    font-size: 1em;
}

/* Navigation */
.navbar {
    background: var(--deepsea-blue);
    font-weight: 500;
    width: 100vw;
    position: fixed;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9;
    box-shadow: var(--shadow);
}

.navbar button {
    background: transparent;
    border: transparent;
    display: flex;
    align-items: center;
    padding: .5em;
}

.navbar button:hover,
.navbar button:hover #cxName,
.navbar button:hover svg,
.p-nav a:hover,
.p-nav a:hover svg,
#open-menu:hover {
    background: var(--chalk-white);
    color: var(--deepsea-blue);
    fill: var(--deepsea-blue);
    cursor: pointer;
}

.logo {
    width: 10vw;
    display: flex;
    justify-content: flex-start;
    overflow: hidden;
    padding: 0 0 0 3em;
}


.p-nav {
    font-size: .8em;
    width: 70vw;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    overflow: hidden;
}

.p-nav a {
    color: var(--white);
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: .5em;
}

.btnwrap {
    width: 20vw;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 0 3em 0 0;
    overflow: hidden;
}

#open-menu {
    background: var(--gold);
}

#open-menu svg {
    fill: var(--midnight-blue)
}

#cxName {
    color: var(--midnight-blue);
    font-size: 1em;
    font-weight: 700;
}

#mMenu {
    background-color: var(--chalk-white);
    width: min(15em, 40vw);
    position: fixed;
    top: 2em;
    right: 1em;
    border-radius: .2em;
    padding: 1em;
    z-index: 11;
    box-shadow: 0 .2em 2em var(--black);
    overflow: hidden;
    transition: .1s ease-in-out;
    visibility: collapse;
    height: 0;
}

#mMenu.expand {
    background-color: var(--white);
    width: min(15em, 40vw);
    height: 12.6em;
    position: fixed;
    top: 2em;
    right: 1em;
    border-radius: .2em;
    padding: 1em;
    z-index: 11;
    box-shadow: 0 .2em 2em var(--graphite);
    overflow: hidden;
    transition: .1s ease-in-out;
    visibility: visible;
}

#mMenu.expand button,
#mMenu button {
    background: transparent;
    color: var(--deepsea-blue);
    font-size: 1em;
    font-weight: 500;
    border: 1px solid transparent;
    border-radius: .2em;
    width: 100%;
    display: flex;
    align-items: center;
    padding: .5em;
}

#mMenu.expand button:hover {
    background-color: var(--midnight-blue);
    color: var(--white);
    border: 1px solid var(--chalk-white);
    padding: .5em;
    cursor: pointer;
}

#mMenu.expand a,
#mMenu a {
    color: var(--deepsea-blue);
    font-weight: 500;
    border: solid 1px transparent;
    display: flex;
    align-items: center;
    padding: .5em;
}

#mMenu.expand a:hover {
    background-color: var(--midnight-blue);
    color: var(--white);
    border: 1px solid var(--chalk-white);
    padding: .5em;
    border-radius: .2em;
}

#mMenu.expand svg,
#mMenu svg {
    fill: var(--deepsea-blue);
}

#mMenu.expand a:hover svg,
#mMenu.expand button:hover svg {
    fill: var(--chalk-white);
}

svg {
    display: flex;
    margin: 0 .25em;
}

.hidden {
    display: none;
}

#overlay {
    inset: 0;
    background: transparent;
    z-index: -10;
    opacity: 0;
}

#overlay.dim {
    position: fixed;
    inset: 1px;
    background: rgba(5, 5, 5, .1);
    z-index: 8;
    opacity: 1;
}

#notifWrack {
    background: var(--white);
    color: var(--graphite);
    width: min(20em, 50vw);
    height: 40vh;
    position: fixed;
    top: 2em;
    right: 2em;
    border-radius: .2em;
    padding: 1em;
    z-index: 11;
    box-shadow: 0 .2em 2em var(--black);
    visibility: collapse;
    height: 0;
    transition: .1s ease-in-out;
}

#notifWrack.expand {
    background: var(--white);
    color: var(--graphite);
    width: min(20em, 50vw);
    height: 60vh;
    position: fixed;
    top: 2em;
    right: 2em;
    border-radius: .2em;
    padding: 1em;
    z-index: 11;
    box-shadow: 0 .2em 2em var(--black);
    overflow-y: scroll;
    transition: .1s ease-in-out;
    visibility: visible;
}

/* Media Quiery */
@media(max-width: 940px) {
    .mLbl {
        display: none;
    }

    .p-nav {
        width: 35vw;
        display: flex;
        justify-content: flex-end;
    }

    .btnwrap {
        width: 45vw;
    }

    .logo {
        width: 20vw;
    }

}



/* MAILBOX */
.mbc {
    color: var(--graphite);
    background: var(--white);
    height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 3.4em 2em 2em;
}

.title {
    background: var(--white);
    color: var(--graphite);
    width: 98vw;
    border: 1px solid var(--chalk-white);
    border-radius: .2em;
    padding: .5em;
}

.title h2 {
    text-align: center;
    font-size: 1.2em;
}

.tbl {
    background: linear-gradient(var(--chalk-white), var(--white));
    width: 98vw;
    height: 70vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 2em 2em;
    border: .5px solid var(--chalk-white);
    border-radius: .1em;
    overflow: scroll;
    margin: .5em .5em .1em .5em;
    box-shadow: var(--shadow);
}

.mailbox {
    width: 100%;
    max-height: 70vh;
    table-layout: fixed;
    border-collapse: collapse;
}

.mailbox thead,
.sfy-orders thead {
    background: var(--chalk-white);
    position: sticky;
    top: 0;
}

.mailbox tbody {
    font-size: clamp(.85em, 2vw, 1em);
}

.mailbox tr {
    height: fit-content;
    margin: .2em 0;
}

.mailbox tr:nth-last-child(1) td {
    border-bottom: none;
}

.mailbox td {
    padding: .5em;
    word-wrap: break-word;
    border-bottom: .1px solid rgba(52, 53, 53, .2);
}

.stat4 {
    background: var(--gold);
    padding: .25em;
    border-radius: .2em;
}

.badge-yellow {
    background: var(--accent-yellow);
    color: var(--black);
    font-size: 9px;
    font-weight: 600;
    border-radius: 1em;
    padding: .5em;
    margin: 0 .5em;
}

.badge-red {
    background: rgb(255, 132, 132);
    color: var(--black);
    font-size: 9px;
    font-weight: 600;
    word-break: keep-all;
    border-radius: 1em;
    padding: .5em;
    margin: 0 .5em;
}

.statusBar {
    background: var(--white);
    width: 98vw;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    border: .5px solid var(--chalk-white);
    border-radius: .1em .1em .2em .2em;
    padding: 0 2em;
    box-shadow: var(--shadow);
}

.statusBar span {
    border: .5px solid var(--chalk-white);
    border-radius: .2em;
    padding: .5em 1em;
    margin: .25em;
}

.statusBar h3 {
    color: var(--midnight-blue);
    font-size: clamp(.8em, 3vw, 1em);
}

.statusBar p {
    color: var(--graphite);
    font-size: clamp(.6em, 2vw, .8em);
    font-weight: 500;
}

label {
    margin: 2em 0 .5em;
}



/* ADDRESS CARD */
.addressCard {
    color: var(--graphite);
    width: 98vw;
    margin: 2em 0 0;
    padding: .25em 2em;
}


.addressCard p {
    margin: .5em 0;
    font-size: .8em;
}

.addressCard h3 {
    color: var(--midnight-blue);
}

/* DELIVERY SCHEDULER */
.sdc {
    background: var(--white);
    color: var(--graphite);
    min-height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 3.4em 2em 2em;
}

.scdl {
    background: linear-gradient(var(--chalk-white), var(--white));
    width: 98vw;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 2em;
    border: 1px solid transparent;
    border-radius: .1em .1em .2em .2em;
    margin: .5em .5em .1em .5em;
    box-shadow: var(--shadow);
}

.itemList {
    background: var(--chalk-white);
    color: var(--graphite);
    font-weight: 500;
    width: clamp(20em, 45vw, 40em);
    height: 15em;
    /* border: .5px solid var(--graphite); */
    border-radius: .2em;
    display: flex;
    flex-direction: column;
    margin: 0 0 1em 0;
    padding: .5em;
    overflow: scroll;
}

.itemList span {
    word-break: break-all;
    width: 100%;
    margin: .2em 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.inputBox {
    width: clamp(20em, 45vw, 40em);
    height: 15em;
    margin: 1em 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.inputBox button,
.dialog button {
    background: var(--deepsea-blue);
    color: var(--white);
    font-size: 1em;
    width: 5em;
    border: transparent;
    border-radius: .2em;
    padding: .25em;
    margin: .5em .25em;
    cursor: pointer;
}

#resetAddress,
#sfyReset {
    background: transparent;
    color: var(--graphite);
    border: .5px solid var(--graphite);
}

.inputBox button:hover,
.dialog button:hover,
.sfy-input button:hover,
#resetAddress:hover,
#sfyReset:hover {
    background: var(--accent-yellow);
    color: var(--midnight-blue);
}

.addressCta {
    width: 20em;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.addressCta button {
    width: 100%;
    padding: .5em;
}

#addressSelect {
    width: 100%;
}

.address-wrapper {
    width: 20em;
    background: rgba(250, 253, 253, 0.9);
    border: 0.06em solid rgb(250, 253, 253, 0.1);
    border-radius: 0.2em;
    margin: .5em 0;
    border: .5px solid var(--graphite);
}

.input-address {
    width: 20em;
    height: 1.4em;
    font-size: 1em;
    background: transparent;
    border: 0.06em transparent;
    border-radius: 0.2em;
    padding: 1em;
}

hr {
    border-top: 0.01em;
    width: min(18.8em, 75.2vw);
    opacity: 25%;
    display: block;
    margin: auto;
}

input::placeholder,
textarea::placeholder {
    color: rgba(17, 35, 45, 0.6);
    font-size: 0.85em;
    font-weight: 450;
}

input {
    color: var(--graphite);
}

.cale-form {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 1em;
}

.calendar-container {
    background: var(--chalk-white);
    width: 90vw;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    padding: 1em;

}

.calendar {
    /* background: rgba(167, 169, 159, 1); */
    background: var(--white);
    color: var(--graphite);
    border-radius: .1em;
    border: .5px solid var(--graphite);
    width: clamp(30em, 60vw, 40em);
    aspect-ratio: 1/.65;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 2em;
}

.nav-buttons {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 0 0 .5em 0;
}

.nav-buttons button {
    font-weight: 500;
    background: none;
    color: var(--graphite);
    border: none;
}


#calendarBody {
    align-items: center;
    text-align: center;
    width: 100%;
    height: 100%;
    table-layout: fixed;
    border-collapse: collapse;
}

.grey-date {
    color: var(--chalk-white);
    font-weight: 500;
    border: 2px solid var(--chalk-white);
    padding: .5em;
}

.selected-date {
    background: var(--accent-yellow);
    color: var(--midnight-blue);
    font-weight: 500;
    border: 2px solid var(--chalk-white);
    padding: .5em;
}

.available-date {
    color: var(--midnight-blue);
    font-weight: 500;
    border: 2px solid var(--chalk-white);
    padding: .5em;
}

.available-date:hover,
.selected-date:hover {
    color: var(--midnight-blue);
    box-shadow: 0 0 .5em var(--deepsea-blue);
    cursor: pointer;
}

.deliveryWindow {
    width: min(20em 80vw);
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding: .5em;
    margin: 1em;
}

.deliveryWindow select,
#addressSelect {
    background: var(--white);
    color: var(--graphite);
    font-size: .8em;
    border: .5px solid var(--graphite);
    border-radius: .2em;
    padding: .5em 1em;
}

.checkbox-container {
    background: var(--white);
    color: var(--graphite);
    width: 100%;
    max-height: 18em;
    border: .5px solid var(--graphite);
    border-radius: .2em;
    padding: 1em;
    overflow: scroll;
}

.checkbox-container h4 {
    background: var(--chalk-white);
    color: var(--graphite);
    font-size: .8em;
    text-align: center;
    width: 100%;
    border-radius: .2em;
    padding: .25em .5em;
}

.checkbox-container li {
    padding: .5em 0;
    color: var(--midnight-blue);
}

.checkbox-container label {
    width: 100%;
    text-align: right;
    padding: 0 .5em;
}

#triggerConfirm {
    width: 15em;
    cursor: pointer;
    font-size: 1em;
    background: linear-gradient(var(--midnight-blue), var(--deepsea-blue));
    color: var(--accent-yellow);
    border: 0.06em solid rgba(5, 5, 5, 0.05);
    border-radius: 0.2em;
    padding: .5em;
    margin-top: 2em;
}

#triggerConfirm:hover {
    background: var(--accent-yellow);
    color: var(--midnight-blue);
}

.dialog {
    background: var(--white);
    color: var(--graphite);
    position: fixed;
    top: 35%;
    width: 24em;
    min-height: 15em;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    border-radius: .2em;
    padding: 2em;
    box-shadow: var(--shadow);
    z-index: 9;
}

#enforce.active {
    background: rgba(5, 5, 5, .1);
    inset: 1px;
    position: fixed;
    z-index: 9;
    opacity: 1;
}

/* SHOP FOR YOU */
.sfy-container {
    background: var(--white);
    width: 100vw;
    /* height: 85vh; */
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 3.5em 2em 2em;
}

.sfy-wrap {
    background: linear-gradient(var(--chalk-white), var(--white));
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 98vw;
    border-radius: .2em;
    margin: .5em 0 0;
    padding: 2em;
    box-shadow: var(--shadow);
}

.sfy-wrap form {
    display: contents;
}

.sfy-input {
    background: var(--chalk-white);
    width: min(25em, 90vw);
    height: 60vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: .2em;
    padding: 1em;
    margin: 0 0 1em;
}

.sfy-input input,
.sfy-input textarea {
    background: var(--white);
    color: var(--graphite);
    width: 90%;
    max-height: 4em;
    font-size: 1em;
    border-radius: .2em;
    border: .5px solid var(--graphite);
    padding: .5em 1em;
    margin: .25em 0;
}

.sfy-input button {
    background: var(--deepsea-blue);
    color: var(--white);
    font-size: 1em;
    width: 90%;
    border: transparent;
    border-radius: .2em;
    padding: .5em;
    margin: .5em 0;
    cursor: pointer;
}

.sfy-orders {
    background: var(--chalk-white);
    color: var(--graphite);
    width: min(40em, 90vw);
    height: 60vh;
    border-radius: .2em;
    display: flex;
    flex-direction: column;
    margin: 0 0 1em;
    padding: .5em;
    overflow-x: hidden;
    overflow-y: scroll;
}

.sfy-orders td {
    font-size: clamp(.8em, 2vw, 1em);
    padding: .5em .25em;
}

.sfy-orders tr {
    border-bottom: .5px solid var(--black);
}

/* History */
.footprints {
    background: var(--white);
    width: 98vw;
    height: 90vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2em;
    border: .5px solid var(--graphite);
    border-radius: .1em;
    overflow: scroll;
    margin: .5em 0;
}

/* Message Handling */
.error-message {
    color: var(--black);
    background: rgb(255, 192, 192);
    text-align: center;
    width: 20em;
    border: transparent;
    border-radius: .2em;
    padding: .5em;
    margin: 1em 0;
}

.success-message {
    color: var(--black);
    background: rgba(185, 255, 202, 1);
    text-align: center;
    width: 20em;
    border: transparent;
    border-radius: .2em;
    padding: .5em;
    margin: 1em 0;
}

/* Settings */
.sc {
    color: var(--graphite);
    background: var(--white);
    min-height: 92vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 3.4em 2em 2em;
}

.setting-containers {
    color: var(--graphite);
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1em 0;
}

.setting-containers select {
    padding: .25em .5em;
    margin: .5em 0;
}

.setting-containers span {
    padding: .75em 0;
}

.setting-containers button {
    font-weight: 500;
    width: 11.8em;
    padding: .5em;
    margin: .5em 0;
    border: .5px solid var(--deepsea-blue);
    border-radius: .2em;
}

.change {
    background: var(--deepsea-blue);
    color: var(--white);
}

.change:hover {
    cursor: pointer;
    background: var(--accent-yellow);
    color: var(--midnight-blue);
}

.cancelbtn {
    background: var(--chalk-white);
    color: var(--graphite);
}

.cancelbtn:hover {
    cursor: pointer;
    background: var(--white);
}

/* FOOTER */
footer {
    color: var(--white);
    background: var(--deepsea-blue);
    padding: 2em;
    font-size: 0.8em;
    bottom: 0;
}

.footer {
    font-size: .8em;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2em;
}

.footer a {
    color: var(--chalk-white);
    font-weight: 700;
}

.footer a:hover {
    text-decoration: underline;
}